libzypp 17.37.10

zypp::ui Namespace Reference

## Namespaces
namespace | selfilter

## Classes
struct | asSelectable
| Solvable to Selectable transform functor. More...
class | Selectable
| Collects PoolItems of same kind and name. More...
struct | SelectableTraits
class | StatusBackup
| Simple ResStatus backup stack. More...
struct | StatusHelper

## Typedefs
using | PoolProxyIterator = ResPoolProxy::const_iterator

## Enumerations
enum | Status { S_Protected , S_Taboo , S_Del , S_Update , S_Install , S_AutoDel , S_AutoUpdate , S_AutoInstall , S_KeepInstalled , S_NoInst }
| UI status Status values calculated by Selectable. More...

## Functions
| IMPL_PTR_TYPE (Selectable)
std::ostream & | operator<< (std::ostream &str, const Selectable &obj)
std::ostream & | dumpOn (std::ostream &str, const Selectable &obj)
| DEFINE_PTR_TYPE (Selectable)
std::string | asString (const Status &obj)
static ResPoolProxy | poolProxy ()
template<class T>
PoolProxyIterator | poolProxyBegin ()
template<class T>
PoolProxyIterator | poolProxyEnd ()
static PoolProxyIterator | pkgBegin ()
static PoolProxyIterator | pkgEnd ()
static PoolProxyIterator | patchesBegin ()
static PoolProxyIterator | patchesEnd ()
template<typename T>
bool | contains (const std::set< T > &container, T search)
static void | addDirectlySelectedPackages (set< string > &pkgNames)
template<class PkgSet_T>
void | addPkgSetPackages (set< string > &pkgNames)
static void | addPatchPackages (set< string > &pkgNames)
set< string > | userWantedPackageNames () ZYPP_API
| This returns a set of package names the user explicitly wanted to transact ( to install, to update, or to delete) for any of the following reasons:
std::ostream & | operator<< (std::ostream &str, const Selectable &obj) ZYPP_API
| Stream output.
std::ostream & | dumpOn (std::ostream &str, const Selectable &obj) ZYPP_API
| More verbose stream output.

## Typedef Documentation

## ◆ PoolProxyIterator

using zypp::ui::PoolProxyIterator = ResPoolProxy::const_iterator

Definition at line 37 of file UserWantedPackages.cc.

## Enumeration Type Documentation

## ◆ Status

enum zypp::ui::Status

UI status Status values calculated by Selectable.

Note
  The Status enum, and its use within Selectabe is tightly related to the Y2UI. It might be not very useful outside the Y2UI.

Todo
  make it an EnumerationClass

Enumerator
S_Protected |
S_Taboo |
S_Del |
S_Update |
S_Install |
S_AutoDel |
S_AutoUpdate |
S_AutoInstall |
S_KeepInstalled |
S_NoInst |

Definition at line 35 of file Status.h.

## Function Documentation

## ◆ IMPL_PTR_TYPE()

zypp::ui::IMPL_PTR_TYPE | ( | Selectable |  | ) |

## ◆ operator<<() [1/2]

std::ostream & zypp::ui::operator<< | ( | std::ostream & | str,
|  | const Selectable & | obj )
| related

Definition at line 331 of file Selectable.cc.

## ◆ dumpOn() [1/2]

std::ostream & zypp::ui::dumpOn | ( | std::ostream & | str,
|  | const Selectable & | obj )
| related

Definition at line 334 of file Selectable.cc.

## ◆ DEFINE_PTR_TYPE()

zypp::ui::DEFINE_PTR_TYPE | ( | Selectable |  | ) |

## ◆ asString()

std::string zypp::ui::asString | ( | const Status & | obj | ) |

Definition at line 30 of file Status.cc.

## ◆ poolProxy()

ResPoolProxy zypp::ui::poolProxy | ( |  | ) |
| inline static

Definition at line 39 of file UserWantedPackages.cc.

## ◆ poolProxyBegin()

template<class T>

PoolProxyIterator zypp::ui::poolProxyBegin | ( |  | ) |

Definition at line 41 of file UserWantedPackages.cc.

## ◆ poolProxyEnd()

template<class T>

PoolProxyIterator zypp::ui::poolProxyEnd | ( |  | ) |

Definition at line 42 of file UserWantedPackages.cc.

## ◆ pkgBegin()

PoolProxyIterator zypp::ui::pkgBegin | ( |  | ) |
| inline static

Definition at line 44 of file UserWantedPackages.cc.

## ◆ pkgEnd()

PoolProxyIterator zypp::ui::pkgEnd | ( |  | ) |
| inline static

Definition at line 45 of file UserWantedPackages.cc.

## ◆ patchesBegin()

PoolProxyIterator zypp::ui::patchesBegin | ( |  | ) |
| inline static

Definition at line 47 of file UserWantedPackages.cc.

## ◆ patchesEnd()

PoolProxyIterator zypp::ui::patchesEnd | ( |  | ) |
| inline static

Definition at line 48 of file UserWantedPackages.cc.

## ◆ contains()

template<typename T>

bool zypp::ui::contains | ( | const std::set< T > & | container,
|  | T | search )

Definition at line 50 of file UserWantedPackages.cc.

## ◆ addDirectlySelectedPackages()

void zypp::ui::addDirectlySelectedPackages | ( | set< string > & | pkgNames | ) |
| static

Definition at line 78 of file UserWantedPackages.cc.

## ◆ addPkgSetPackages()

template<class PkgSet_T>

void zypp::ui::addPkgSetPackages | ( | set< string > & | pkgNames | ) |

## ◆ addPatchPackages()

void zypp::ui::addPatchPackages | ( | set< string > & | pkgNames | ) |
| static

Definition at line 97 of file UserWantedPackages.cc.

## ◆ userWantedPackageNames()

std::set< std::string > zypp::ui::userWantedPackageNames | ( |  | ) |

This returns a set of package names the user explicitly wanted to transact ( to install, to update, or to delete) for any of the following reasons:

- The user wanted to transact the pkg directly
- Pkg is part of a pattern the user wanted to transact
- Pkg is part of a language the user wanted to transact (? No more transacting Languages)
- Pkg is part of a patch the user wanted to transact
- Pkg is part of a pattern that is required by a pattern the user wanted to transact

Definition at line 64 of file UserWantedPackages.cc.